
#ifndef CLASS003_HPP
#define CLASS003_HPP
class Appointment
	{
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C10_Inter_enterprise" */

	/*design comment 
:/%Description%/A planned patient encounter set for a specific time and place.
/%hxID%/42
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment appointment_disposition_cd 
:/%Description%/A code depicting the disposition of the appointment (e.g., pending, canceled, rescheduled, . . .).
/%hxID%/174
*/
	int appointment_disposition_cd;
	/*design comment appointment_request_reason_cd 
:/%Description%/A code depicting the reason the appointment is being requested.
/%hxID%/175
*/
	int appointment_request_reason_cd;
	/*design comment cancellation_dttm 
:/%Description%/The date and time the appointment was canceled.
/%hxID%/176
*/
	int cancellation_dttm;
	/*design comment cancellation_reason_cd 
:/%Description%/A code depicting why the appointment was canceled.
/%hxID%/177
*/
	int cancellation_reason_cd;
	/*design comment estimated_duration_amt 
:/%Description%/The amount of time the scheduled encounter is expected to last.
/%hxID%/178
*/
	int estimated_duration_amt;
	/*design comment expected_end_dttm 
:/%Description%/The expected end date and time of the patient encounter
/%hxID%/179
*/
	int expected_end_dttm;
	/*design comment expected_service_desc 
:/%Description%/Text providing the service(s) expected to be provided in the scheduled encounter.
/%hxID%/180
*/
	int expected_service_desc;
	/*design comment expected_start_dttm 
:/%Description%/The expected date and time for the start of a patient encounter.
/%hxID%/181
*/
	int expected_start_dttm;
	/*design comment id 
:/%Description%/A unique identifier assigned to an appointment.
/%hxID%/182
*/
	int id;
	/*design comment overbook_ind 
:/%Description%/An indication as to whether the appointment is an overbook.
/%hxID%/183
*/
	int overbook_ind;
	/*design comment scheduling_begin_dttm 
:/%Description%/The data and time the scheduling of the appointment began.
/%hxID%/184
*/
	int scheduling_begin_dttm;
	/*design comment scheduling_completed_dttm 
:/%Description%/The date and time the scheduling of the appointment was completed.
/%hxID%/185
*/
	int scheduling_completed_dttm;
	/*design comment scheduling_status_cd 
:/%Description%/A code depicting the status of scheduling the appointment. 
/%hxID%/186
*/
	int scheduling_status_cd;
	/*design comment urgency_cd 
:/%Description%/A code depicting the urgency to be seen by a healthcare provider.
/%hxID%/187
*/
	int urgency_cd;
	/*design comment visit_type_cd 
:/%Description%/A code used to classify a visit.
/%hxID%/188
*/
	int visit_type_cd;
	/*design comment wait_list_priority_nbr 
:/%Description%/The priority assigned to an appointment request placed on a wait list.
/%hxID%/189
*/
	int wait_list_priority_nbr;
	};

#endif
