
#ifndef CLASS007_HPP
#define CLASS007_HPP
class Billing_information_item
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "RIM_Patient_billing_account" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Patient_billing_account with Patient_billing_account <"pertains_to (1,1)", "has (0,M)">
:/%Description%/
/%hxID%/1060

*/

	/*design comment 
:/%Description%/Billing account information particular to the national uniform billing form.
/%hxID%/45
/%PrimarySubjectArea%/RIM_Patient_billing_account
*/
public:
private:
	/*design comment condition_cd 
:/%Description%/A code depicting a condition.
/%Datatype%/IS
/%hxID%/194
/%HL7v23Field%/00536, 00541, 00555
*/
	int condition_cd;
	/*design comment occurrence_cd 
:/%Description%/A code depicting a event.
/%Datatype%/CM
/%hxID%/195
/%HL7v23Field%/00545, 00559
*/
	int occurrence_cd;
	/*design comment occurrence_dt 
:/%Description%/The date of the event depicted in occurrence code.
/%Datatype%/CM
/%hxID%/196
/%HL7v23Field%/00559
*/
	int occurrence_dt;
	/*design comment occurrence_span_cd 
:/%Description%/A code depicting an event which occurs over a span of time.
/%Datatype%/CM
/%hxID%/197
/%HL7v23Field%/00542, 00546, 00560
*/
	int occurrence_span_cd;
	/*design comment occurrence_span_from_dt 
:/%Description%/The from date of the event depicted in occurrence span code.
/%Datatype%/CM
/%hxID%/198
/%HL7v23Field%/00543, 00547, 00560
*/
	int occurrence_span_from_dt;
	/*design comment occurrence_span_thru_dt 
:/%Description%/The end date of the event depicted in occurrence span code.
/%Datatype%/CM
/%hxID%/199
/%HL7v23Field%/00544, 00548, 00560
*/
	int occurrence_span_thru_dt;
	/*design comment quantity_amt 
:/%Description%/A quantitative value on a bill.  The value is qualified by quantity type code.
/%Datatype%/NM
/%hxID%/200
/%HL7v23Field%/00532, 00533, 00534, 00535, 00537, 00538, 00540, 00554, 00556, 00557, 00815
*/
	int quantity_amt;
	/*design comment quantity_type_cd 
:/%Description%/A code qualifying the quantity amount information on a bill (e.g., Blood furnished, blood not replaced, blood replaced, coinsurance day, covered day, non-covered day, grace day, special visit, . . .).
/%hxID%/201
*/
	int quantity_type_cd;
	/*design comment value_amt 
:/%Description%/A value amount qualified by value code.
/%Datatype%/CM
/%hxID%/202
/%HL7v23Field%/00539, 00558
*/
	int value_amt;
	/*design comment value_cd 
:/%Description%/A code qualifying the billing information value amount.
/%Datatype%/CM
/%hxID%/203
/%HL7v23Field%/00539, 00558
*/
	int value_cd;
	};

#endif
