
#ifndef CLASS012_HPP
#define CLASS012_HPP
class Clinical_observation_report
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_event" */
	/*design in subject "STW_C04_Orders_observations" */

	/*design comment 
:/%Description%/A report of the information or record secured by an act or instance of viewing or noting a fact or occurrence for some health related purpose.



ISSUE: consideration should be given to combining this concept with other reporting identified in the Information Management chapter.
/%hxID%/53
/%PrimarySubjectArea%/RIM_Patient_service_event
*/
public:
private:
	/*design comment acknowledgment_request_ind 
:/%Description%/An indicator that an acknowledgment receipt has been requested for the clinical observation report.
/%hxID%/241
*/
	int acknowledgment_request_ind;
	/*design comment cancellation_reason_cd 
:/%Description%/The reason the clinical observation result was canceled.
/%hxID%/242
*/
	int cancellation_reason_cd;
	/*design comment id 
:/%Description%/A unique identifier assigned to the observation result.
/%hxID%/243
*/
	int id;
	/*design comment reporting_priority_cd 
:/%Description%/The reporting priority of the clinical result.
/%Datatype%/ID
/%hxID%/245
/%HL7v23Field%/00611
*/
	int reporting_priority_cd;
	/*design comment results_report_dttm 
:/%Description%/The date and time the clinical observation results are issued.

Rationale: closer to language used in V2.3
/%Datatype%/TS
/%hxID%/2948
/%HL7v23Field%/00255
*/
	int results_report_dttm;
	/*design comment service_provider_comment_txt 
:/%Description%/Free form text of the observation result.
/%hxID%/246
*/
	int service_provider_comment_txt;
	/*design comment status_cd 
:/%Description%/The status of the clinical observation result.
/%hxID%/247
*/
	int status_cd;
	/*design comment status_dttm 
:/%Description%/The effective date and time of the result status.
/%hxID%/248
*/
	int status_dttm;
	};

#endif
