
#ifndef CLASS013_HPP
#define CLASS013_HPP
class Collected_specimen_sample
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_event" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Patient with Patient <"is_sourced_from (0,1)", "is_source_for (0,M)">
:/%Description%/
/%hxID%/1069

*/
	/*design assoc Service_event_specimen with Service_event_specimen <"is_source_for (0,M)", "is_sourced_from (1,1)">
:/%Description%/
/%hxID%/1068

*/
	/*design assoc Stakeholder with Stakeholder <"is_collected_by (1,1)", "collects (0,M)">
:/%Description%/
/%hxID%/1067

*/

	/*design comment 
:/%Description%/A sample of a substance or material for examination or study (a urine specimen; a tissue specimen).
/%hxID%/54
/%PrimarySubjectArea%/RIM_Patient_service_event
*/
public:
private:
	/*design comment body_site_cd 
:/%Description%/The anatomical source for the collected item.

Rationale: more specific to related component of V2.3 field
/%Datatype%/CM
/%hxID%/2949
/%HL7v23Field%/00249
*/
	int body_site_cd;
	/*design comment collection_body_site_modifier_cd 
:/%Description%/The site modifier for the body site from which the specimen was obtained.  For example, the site could be anticubital foss, and the site modifier "right".

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2950
/%HL7v23Field%/00249
*/
	int collection_body_site_modifier_cd;
	/*design comment collection_end_dttm 
:/%Description%/The date and time the analyzed object collection ended.
/%Datatype%/TS
/%hxID%/250
/%HL7v23Field%/00242
*/
	int collection_end_dttm;
	/*design comment collection_method_modifier_cd 
:/%Description%/coded modifier for the method of collection of a specimen.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/2951
/%HL7v23Field%/00249
*/
	int collection_method_modifier_cd;
	/*design comment collection_scheduled_dttm 
:/%Description%/The date and time the analyzed object is scheduled to be collected.
/%hxID%/251
*/
	int collection_scheduled_dttm;
	/*design comment collection_start_dttm 
:/%Description%/The date and time the analyzed object collection started.
/%Datatype%/TS
/%hxID%/252
/%HL7v23Field%/00241
*/
	int collection_start_dttm;
	/*design comment collection_volume_amt 
:/%Description%/The amount of specimen collected.
/%Datatype%/CQ
/%hxID%/253
/%HL7v23Field%/00243
*/
	int collection_volume_amt;
	/*design comment condition_cd 
:/%Description%/A description of the condition of the collected specimen.

Rationale: V2.3 field is CE datatype
/%Datatype%/CE
/%hxID%/2952
/%HL7v23Field%/01030
*/
	int condition_cd;
	/*design comment handling_cd 
:/%Description%/A code indicating the action taken after collection of the sample (e.g., air-dried, refrigerated overnight, maintained at body heat, centrifuged immediately, maintained on ice, . . .).
/%hxID%/255
*/
	int handling_cd;
	/*design comment id 
:/%Description%/Unique identifier of the analyzed object.
/%hxID%/256
*/
	int id;
	/*design comment method_of_collection_desc 
:/%Description%/A description of the method used to collect the analyzed object.
/%hxID%/257
*/
	int method_of_collection_desc;
	/*design comment number_of_sample_containers_qty 
:/%Description%/Number_of_sample_containers_quantityIdentifies the number of containers for a given sample.  For sample receipt verification purposes; may be different from the total number of samples which accompany the order.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/NM
/%hxID%/2953
/%HL7v23Field%/01028
*/
	int number_of_sample_containers_qty;
	/*design comment specimen_additive_txt 
:/%Description%/A code depicting an additive used with the analyzed object to aid in the analysis.

Rationale: related V2.3 field component is TX datatype
/%Datatype%/CM
/%hxID%/2954
/%HL7v23Field%/00249
*/
	int specimen_additive_txt;
	/*design comment specimen_danger_cd 
:/%Description%/A code depicting dangers associated with the analyzed object.
/%hxID%/259
*/
	int specimen_danger_cd;
	/*design comment specimen_source_cd 
:/%Description%/A code indicating the source of the analyzed object.
/%Datatype%/CM
/%hxID%/260
/%HL7v23Field%/00249
*/
	int specimen_source_cd;
	/*design comment transport_logistics_cd 
:/%Description%/transport_logistics_codethe means by which a sample reaches the diagnostic service provider

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/2955
/%HL7v23Field%/01029
*/
	int transport_logistics_cd;
	};

#endif
