
#ifndef CLASS017_HPP
#define CLASS017_HPP
class Dt_address
	{
	/*design in subject "DIM_Control_Query" */
	/*design in subject "RIM_Compound_datatype" */
	/*design in subject "RIM_Datatypes" */
	/*design in subject "STW_C02_Control_Query" */

	/*design comment 
:/%Description%/A compound datatype containing a collection of components which together represent an address.



The components of the address datatype were influenced by the specification of the AD and XAD datatypes in the HL7 2.3 standard.
/%hxID%/59
/%PrimarySubjectArea%/RIM_Compound_datatype
*/
public:
private:
	/*design comment address_line_txt 
:/%Description%/A string of text which aids in the proper routing and handling of mail.
/%hxID%/286
*/
	int address_line_txt;
	/*design comment address_type_cd 
:/%Description%/A code depicting the type of address (e.g., current, temporary, permanent, mailing, firm/business, office, home, birth (nee), country of origin, . . .).
/%hxID%/287
*/
	int address_type_cd;
	/*design comment census_tract_cd 
:/%Description%/A identifier assigned to the census track the address is part of.
/%hxID%/288
*/
	int census_tract_cd;
	/*design comment city_nm 
:/%Description%/The name of the city. 
/%hxID%/289
*/
	int city_nm;
	/*design comment country_cd 
:/%Description%/The name of a country.
/%hxID%/290
*/
	int country_cd;
	/*design comment county_parish_cd 
:/%Description%/A code depicting the county/parish within a state/province.
/%hxID%/291
*/
	int county_parish_cd;
	/*design comment geographic_designation_txt 
:/%Description%/Text of geographic designations in addition to state/province, country, census tract, and county.  Includes bioregion and SMSA.
/%hxID%/292
*/
	int geographic_designation_txt;
	/*design comment postal_zone_cd 
:/%Description%/A code assign by a postal authority to aid in the routing and proper delivery of mail world wide.
/%hxID%/293
*/
	int postal_zone_cd;
	/*design comment state_province_cd 
:/%Description%/The name (or abbreviated name) of a state of the United states or a province name.
/%hxID%/294
*/
	int state_province_cd;
	/*design comment street_addr 
:/%Description%/The name of the street within the city or district (e.g., 1st street, Main street, 5th Ave., . . .).
/%hxID%/295
*/
	int street_addr;
	};

#endif
