
#ifndef CLASS036_HPP
#define CLASS036_HPP
class Dt_treatment_component
	{
	/*design in subject "RIM_Compound_datatype" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Pharmacy_service_event" */
	/*design in subject "STW_C02_Control_Query" */

	/*design comment 
:/%Description%/The set of attributes which specifies the identity, amount, strength and dosage form for the drug or treatment.  If the drug or treatment ordered is a compound drug/treatment OR an IV solution, and there is no Universal Service ID which represents the combination of components, this attribute type is repeated for each component.

Rationale: support use of RXC in order message

OpenIssue: Recommned using the short form class word PTcomp for this datatype
/%hxID%/2915
/%PrimarySubjectArea%/RIM_Compound_datatypes
*/
public:
private:
	/*design comment treatment_amt 
:/%Description%/amount of the component medication to include in the treatment

Rationale: required for use of RXC with pharmacy orders
/%hxID%/2961
*/
	int treatment_amt;
	/*design comment treatment_cd 
:/%Description%/Identifier of the component substance

Rationale: required for use of RXC with pharmacy orders

OpenIssue: 
/%hxID%/2962
*/
	int treatment_cd;
	/*design comment treatment_name 
:/%Description%/The name of the medication ordered

Rationale: cannot rely on the catalog to have the medication name.  May use a code such as "unknown".

OpenIssue: 
/%hxID%/2963
*/
	int treatment_name;
	/*design comment treatment_strength_amt 
:/%Description%/strength of the medication component

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%hxID%/2964
*/
	int treatment_strength_amt;
	};

#endif
