
#ifndef CLASS040_HPP
#define CLASS040_HPP
class Encounter_drg
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Inpatient_encounter with Inpatient_encounter <"is_assigned_to (1,1)", "is_assigned (0,M)">
:/%Description%/
/%hxID%/1079

*/
	/*design assoc Organization with Organization <"is_assigned_by (1,1)", "assigns (0,M)">
:/%Description%/
/%hxID%/1078

*/

	/*design comment 
:/%Description%/A broad categorization, based primarily upon included procedures and diagnoses, that applies to the Healthcare event as a whole.  Used for grouping and evaluating Healthcare encounters with respect to duration of care and cost.
/%hxID%/77
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment approval_ind 
:/%Description%/An indication that the DRG assignment has been approved by a reviewing entity.
/%Datatype%/ID
/%hxID%/336
/%HL7v23Field%/00383
*/
	int approval_ind;
	/*design comment assigned_dttm 
:/%Description%/The date and time the DRG was assigned to the encounter.
/%Datatype%/TS
/%hxID%/337
/%HL7v23Field%/00769
*/
	int assigned_dttm;
	/*design comment confidential_ind 
:/%Description%/An indication as to whether the DRG assigned to this encounter contains a confidential diagnosis.
/%Datatype%/ID
/%hxID%/338
/%HL7v23Field%/00767
*/
	int confidential_ind;
	/*design comment cost_outlier_amt 
:/%Description%/The amount of the encounter cost that is beyond the standard cost amount for the assigned DRG.
/%Datatype%/CP
/%hxID%/339
/%HL7v23Field%/00387
*/
	int cost_outlier_amt;
	/*design comment desc 
:/%Description%/A description providing additional information about the assignment of the DRG to the encounter.
/%hxID%/340
*/
	int desc;
	/*design comment grouper_review_cd 
:/%Description%/A code indicating that the grouper results have been reviewed and approved.
/%Datatype%/IS
/%hxID%/341
/%HL7v23Field%/00384
*/
	int grouper_review_cd;
	/*design comment grouper_version_id 
:/%Description%/The version and type of the grouper used to derive the DRG.
/%hxID%/342
*/
	int grouper_version_id;
	/*design comment outlier_days_qty 
:/%Description%/The number of days beyond the standard day count for the assigned DRG.
/%Datatype%/NM
/%hxID%/343
/%HL7v23Field%/00386
*/
	int outlier_days_qty;
	/*design comment outlier_reimbursement_amt 
:/%Description%/The portion of the total reimbursement amount designated for reimbursement of outlier days or costs.
/%Datatype%/CP
/%hxID%/344
/%HL7v23Field%/00771
*/
	int outlier_reimbursement_amt;
	/*design comment outlier_type_cd 
:/%Description%/A code depicting the type of outlier (day, cost) associated with the encounter DRG.
/%hxID%/345
*/
	int outlier_type_cd;
	};

#endif
