
#ifndef CLASS047_HPP
#define CLASS047_HPP
class Guarantor_contract
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Guarantor_contract" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Insurance_certification with Insurance_certification <"has_coverage_affirmed_by (0,M)", "affirms_insurance_coverage_for (1,1)">
:/%Description%/
/%hxID%/1089

*/

	/*design comment 
:/%Description%/A contract held by a stakeholder which specifies the financial responsibility of the stakeholder for a patient billing account.
/%hxID%/84
/%PrimarySubjectArea%/RIM_Guarantor_contract
*/
public:
private:
	/*design comment billing_hold_ind 
:/%Description%/A indicator used to determine whether or not a system should suppress printing of the guarantor's bills.
/%Datatype%/ID
/%hxID%/380
/%HL7v23Field%/00773
*/
	int billing_hold_ind;
	/*design comment billing_media_cd 
:/%Description%/A code depicting the allowable mediums for billing under this guarantor contract.
/%Datatype%/ID
/%hxID%/381
/%HL7v23Field%/00733
*/
	int billing_media_cd;
	/*design comment charge_adjustment_cd 
:/%Description%/A code depicting which adjustments should be made to this guarantor's charges.
/%Datatype%/CE
/%hxID%/382
/%HL7v23Field%/00777
*/
	int charge_adjustment_cd;
	/*design comment contract_duration_cd 
:/%Description%/A code specifying the duration of the contract.
/%Datatype%/NM
/%hxID%/383
/%HL7v23Field%/00157
*/
	int contract_duration_cd;
	/*design comment contract_type_cd 
:/%Description%/Code identifying the type of contract entered into by the guarantor for the purpose of settling outstanding account balances.
/%Datatype%/IS
/%hxID%/384
/%HL7v23Field%/00154, 00414
*/
	int contract_type_cd;
	/*design comment effective_dt 
:/%Description%/The date the guarantor contract becomes effective.
/%Datatype%/DT
/%hxID%/385
/%HL7v23Field%/00155, 00417
*/
	int effective_dt;
	/*design comment interest_rate_amt 
:/%Description%/The rate of interest for this guarantor contract.
/%Datatype%/IS
/%hxID%/386
/%HL7v23Field%/00158
*/
	int interest_rate_amt;
	/*design comment periodic_payment_amt 
:/%Description%/Amount to be paid by the guarantor each period.
/%Datatype%/NM
/%hxID%/387
/%HL7v23Field%/00156
*/
	int periodic_payment_amt;
	/*design comment priority_ranking_cd 
:/%Description%/A code indicating the relative priority of this guarantor contract for a given patient billing account.
/%Datatype%/CX
/%hxID%/388
/%HL7v23Field%/00419, 00780
*/
	int priority_ranking_cd;
	/*design comment separate_bill_ind 
:/%Description%/An indication as to whether the baby in a delivery patient stay should be billed separately.
/%Datatype%/ID
/%hxID%/389
/%HL7v23Field%/00761
*/
	int separate_bill_ind;
	/*design comment termination_dt 
:/%Description%/The date the guarantor contract is no longer in effect.
/%Datatype%/DT
/%hxID%/390
/%HL7v23Field%/00418
*/
	int termination_dt;
	};

#endif
