
#ifndef CLASS051_HPP
#define CLASS051_HPP
class Health_chart_document_header
	{
	/*design in subject "DIM_Medical_records" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C09_Medical_records" */
	/*design assoc Clinical_observation with Clinical_observation <"may_refer_to (0,M)", "referred_to_in (0,M)">
:/%Description%/

Rationale: This relationship implements one of the critical business rules for this TC.  A document is a construct with a single header and several observations. (Note, the relationship is optional because a document can be initially created with only the header).   The Medical Records and Orders/Results TCs place great importance in the notion that the construct, observation, is shared by both groups.  That is, it has the same definition when information is being retrieved for analysis and review, as it does when that information is recorded.  This instance connection, to the document header allows observations to be organized for retrieval.

OpenIssue: May not have correct cardinality since there is some disagreement on the precise nature of the many-to-many connections between these two entities.  This needs to be cleaned up with the general fix of the connections between the Chart_document_header and the components of the order and its observations.
/%hxID%/3255

*/
	/*design assoc Health_chart_document_header with Health_chart_document_header <"is_parent_document_for (0,M)", "has_as_a_parent_document (0,1)">
:/%Description%/
/%hxID%/3254

*/

	/*design comment 
:/%Description%/Documentation of a health related factor concerning a patient.  See the class Document Header in the MDR 2300 model.
/%hxID%/2917
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment authentication_dt 
:/%Description%/The date the document was authenticated.
/%hxID%/2969
*/
	int authentication_dt;
	/*design comment availability_status_cd 
:/%Description%/A code depicting the availability of the document.
/%hxID%/2970
*/
	int availability_status_cd;
	/*design comment change_reason_cd 
:/%Description%/A code depicting the reason for the latest change to the document.
/%hxID%/2971
*/
	int change_reason_cd;
	/*design comment completion_status_cd 
:/%Description%/A code depicting the completion status of the document.
/%hxID%/2972
*/
	int completion_status_cd;
	/*design comment confidentiality_status_cd 
:/%Description%/A code depicting the confidentiality status of the document.
/%hxID%/2973
*/
	int confidentiality_status_cd;
	/*design comment content_presentation_cd 
:/%Description%/A code indicating how the content of the document is to be presented.
/%hxID%/2974
*/
	int content_presentation_cd;
	/*design comment document_header_creation_dt 
:/%Description%/The specific date that the document header was created..
/%hxID%/2975
*/
	int document_header_creation_dt;
	/*design comment file_nm 
:/%Description%/The name on an electronic file containing the document.
/%hxID%/2976
*/
	int file_nm;
	/*design comment id 
:/%Description%/A unique identifier assigned to the document.
/%hxID%/2977
*/
	int id;
	/*design comment last_edit_dt 
:/%Description%/The date the document was last edited.
/%hxID%/2978
*/
	int last_edit_dt;
	/*design comment origination_dt 
:/%Description%/The date the information in the document was originated.
/%hxID%/2979
*/
	int origination_dt;
	/*design comment storage_status_cd 
:/%Description%/A code depicting the storage status of the document.
/%hxID%/2980
*/
	int storage_status_cd;
	/*design comment transcription_dt 
:/%Description%/The date the information in the document was transcribed.
/%hxID%/2981
*/
	int transcription_dt;
	/*design comment type_cd 
:/%Description%/A code depicting the document type.
/%hxID%/2982
*/
	int type_cd;
	};

#endif
