
#ifndef CLASS052_HPP
#define CLASS052_HPP
class Healthcare_benefit_plan
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Healthcare_benefit_plan" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design part Healthcare_coverage_benefit class Healthcare_coverage_benefit <"has_parts (0,M)", "is_part_of (1,1)">
:/%Description%/
/%hxID%/2033

*/
	/*design assoc Primary_care_provider_assignment with Primary_care_provider_assignment <"governs (0,M)", "is_governed_by (0,1)">
:/%Description%/
/%hxID%/1100

*/

	/*design comment 
:/%Description%/A collection of health benefits.
/%hxID%/90
/%PrimarySubjectArea%/RIM_Healthcare_benefit_plan
*/
public:
private:
	/*design comment agreement_type_cd 
:/%Description%/A code serving as an additional refinement of an insurance plan.  (e.g., standard, unified, maternity, . . .).
/%Datatype%/IS
/%hxID%/415
/%HL7v23Field%/00456
*/
	int agreement_type_cd;
	/*design comment assignment_of_benefits_ind 
:/%Description%/An indication as to whether the insured agreed to assign the insurance benefits to the healthcare provider.
/%Datatype%/IS
/%hxID%/416
/%HL7v23Field%/00445
*/
	int assignment_of_benefits_ind;
	/*design comment baby_coverage_ind 
:/%Description%/An indication of the existence of baby coverage under the insurance plan.
/%Datatype%/ID
/%hxID%/417
/%HL7v23Field%/00490
*/
	int baby_coverage_ind;
	/*design comment benefit_desc 
:/%Description%/A description of the healthcare benefit.
/%hxID%/418
*/
	int benefit_desc;
	/*design comment benefit_plan_id 
:/%Description%/An identifier for the healthcare coverage benefit plan.
/%Datatype%/IS
/%hxID%/419
/%HL7v23Field%/00471
*/
	int benefit_plan_id;
	/*design comment benefit_plan_nm 
:/%Description%/The name of the benefit plan.
/%hxID%/420
*/
	int benefit_plan_nm;
	/*design comment benefit_plan_type_cd 
:/%Description%/A code classifying the benefit plan type (e.g., commercial, Medicare, Medicaid, . . .).
/%Datatype%/IS
/%hxID%/421
/%HL7v23Field%/00440, 00770
*/
	int benefit_plan_type_cd;
	/*design comment benefits_coordination_ind 
:/%Description%/An indication as to whether this insurance works in conjunction with other insurance plans, or if it provides independent coverage and payment of benefits regardless of other insurance that might be available to the patient.
/%Datatype%/IS
/%hxID%/422
/%HL7v23Field%/00446
*/
	int benefits_coordination_ind;
	/*design comment blood_deductible_amt 
:/%Description%/The deductible amount for blood.
/%Datatype%/ST
/%hxID%/423
/%HL7v23Field%/00492
*/
	int blood_deductible_amt;
	/*design comment cob_priority_nbr 
:/%Description%/The priority sequence for an insurance plan that works in conjunction with other insurance.
/%Datatype%/ST
/%hxID%/424
/%HL7v23Field%/00447
*/
	int cob_priority_nbr;
	/*design comment combine_baby_bill_ind 
:/%Description%/An indication as to whether charges for a baby should be combined with charges for the mother.
/%Datatype%/ID
/%hxID%/425
/%HL7v23Field%/00491
*/
	int combine_baby_bill_ind;
	/*design comment copay_limit_ind 
:/%Description%/An indication as to whether the patient has reached the copay limit.
/%Datatype%/ID
/%hxID%/426
/%HL7v23Field%/00807
*/
	int copay_limit_ind;
	/*design comment coverage_type_cd 
:/%Description%/A code identifying the type of insurance coverage, or what type of services are covered for the purposes of a billing system.
/%hxID%/427
*/
	int coverage_type_cd;
	/*design comment daily_deductible_amt 
:/%Description%/The amount of the daily deductible for this insurance plan.
/%Datatype%/CM
/%hxID%/428
/%HL7v23Field%/00501
*/
	int daily_deductible_amt;
	/*design comment effective_dt 
:/%Description%/The date the healthcare coverage first becomes effective.
/%Datatype%/DT
/%hxID%/429
/%HL7v23Field%/00437
*/
	int effective_dt;
	/*design comment eligibility_source_cd 
:/%Description%/A code depicting the source of information about the insured's eligibility for benefits (e.g., insurance company, employer, insured presented policy, insured presented card, signed statement on file, verbal information, none, . . .).
/%Datatype%/IS
/%hxID%/430
/%HL7v23Field%/00498
*/
	int eligibility_source_cd;
	/*design comment expiration_dt 
:/%Description%/The last date of service that the insurance will cover or be responsible for.
/%Datatype%/DT
/%hxID%/431
/%HL7v23Field%/00438
*/
	int expiration_dt;
	/*design comment group_benefit_ind 
:/%Description%/A indication as to whether the healthcare coverage is a group contract.
/%hxID%/432
*/
	int group_benefit_ind;
	/*design comment mail_claim_party_cd 
:/%Description%/A code indicating the party to which the claim should be mailed (e.g., employer, guarantor, insurance company, patient, . . .).
/%Datatype%/IS
/%hxID%/433
/%HL7v23Field%/00476
*/
	int mail_claim_party_cd;
	/*design comment non_covered_insurance_cd 
:/%Description%/A code depicting the reason why a service is not covered.
/%Datatype%/ST
/%hxID%/434
/%HL7v23Field%/00495
*/
	int non_covered_insurance_cd;
	/*design comment plan_id 
:/%Description%/An identifier of an healthcare benefit plan.
/%Datatype%/IS
/%hxID%/435
/%HL7v23Field%/00460
*/
	int plan_id;
	/*design comment policy_deductible_amt 
:/%Description%/The deductible amount specified by the insurance plan.
/%Datatype%/CP
/%hxID%/436
/%HL7v23Field%/00462
*/
	int policy_deductible_amt;
	/*design comment policy_id 
:/%Description%/The identifier for the healthcare coverage policy.
/%Datatype%/ST
/%hxID%/437
/%HL7v23Field%/00461
*/
	int policy_id;
	/*design comment policy_limit_day_qty 
:/%Description%/The maximum number of days that the insurance policy will cover.
/%Datatype%/NM
/%hxID%/438
/%HL7v23Field%/00464
*/
	int policy_limit_day_qty;
	/*design comment policy_scope_cd 
:/%Description%/A code depicting the extent of the coverage for a participating member (e.g., single, family, . . .).
/%Datatype%/IS
/%hxID%/439
/%HL7v23Field%/00799
*/
	int policy_scope_cd;
	/*design comment policy_source_cd 
:/%Description%/A code indicating how the policy information was obtained.
/%Datatype%/IS
/%hxID%/440
/%HL7v23Field%/00800
*/
	int policy_source_cd;
	/*design comment release_information_cd 
:/%Description%/A code describing what information, if any, a provider can release about a patient.
/%Datatype%/IS
/%hxID%/441
/%HL7v23Field%/00452
*/
	int release_information_cd;
	/*design comment report_of_eligibility_ind 
:/%Description%/A indication of whether the insurance carrier send a report of eligibility identifying the benefits the patient is eligible for.
/%Datatype%/ID
/%hxID%/442
/%HL7v23Field%/00450
*/
	int report_of_eligibility_ind;
	/*design comment room_coverage_type_amount_cd 
:/%Description%/A rate for a given room type.
/%Datatype%/CM
/%hxID%/443
/%HL7v23Field%/00499
*/
	int room_coverage_type_amount_cd;
	/*design comment status_cd 
:/%Description%/A code depicting the status of the healthcare coverage.
/%Datatype%/IS
/%hxID%/444
/%HL7v23Field%/00487
*/
	int status_cd;
	/*design comment termination_dt 
:/%Description%/The date the healthcare coverage is no longer in effect.
/%hxID%/445
*/
	int termination_dt;
	};

#endif
