
#ifndef CLASS070_HPP
#define CLASS070_HPP
class Master_service
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Master_tables" */
	/*design in subject "RIM_Service_catalog_item" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Master_service with Master_service <"includes (0,M)", "is_included_in (0,M)">
:/%Description%/
/%hxID%/3261

*/
	/*design assoc Pathway_master with Pathway_master <"is_recommended_by (0,M)", "recommends (0,M)">
:/%Description%/
/%hxID%/3263

*/
	/*design assoc Patient_service_event with Patient_service_event <"is_delivered_during (0,M)", "delivers (1,1)">
:/%Description%/
/%hxID%/3262

*/

	/*design comment 
:/%Description%/An individual test observation, test observation battery or panel, individual medication, diet, or procedure.
/%hxID%/2923
/%PrimarySubjectArea%/RIM_Service_catalog_item
*/
public:
private:
	/*design comment allowable_processing_priority_cd 
:/%Description%/one of the available priorities for performing the observation or test

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ID
/%hxID%/3036
/%HL7v23Field%/00610
*/
	int allowable_processing_priority_cd;
	/*design comment allowable_reporting_priority_cd 
:/%Description%/the available priorities for reporting the test results when the user is asked to specify the reporting priority independent of the processing priority

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ID
/%hxID%/3037
/%HL7v23Field%/00611
*/
	int allowable_reporting_priority_cd;
	/*design comment billing_reference_txt 
:/%Description%/The service catalog item billing reference information.
/%hxID%/3038
*/
	int billing_reference_txt;
	/*design comment challenge_information_txt 
:/%Description%/information for classifying observations by the challenge component of the test, if a challenge does speciate the observation, for example, tests that include a glucose challenge.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/TX
/%hxID%/3039
/%HL7v23Field%/00939
*/
	int challenge_information_txt;
	/*design comment confidentiality_cd 
:/%Description%/A code depicting the level of confidentiality associated with the service catalog item.
/%Datatype%/IS
/%hxID%/3040
/%HL7v23Field%/00615
*/
	int confidentiality_cd;
	/*design comment effective_dt 
:/%Description%/The date the service catalog item is effective.
/%hxID%/3041
*/
	int effective_dt;
	/*design comment factors_that_may_affect_observation_desc 
:/%Description%/Text description of the foods, diagnosis, drugs, or other conditions that may influence the interpretation of the observation including information about the direction of the effect, and any recommendation about altering the diet, conditions, or drugs before initiating the test observation.

Rationale: alignment with V2.3 language
/%Datatype%/TX
/%hxID%/3042
/%HL7v23Field%/00617, 00624
*/
	int factors_that_may_affect_observation_desc;
	/*design comment fee_amt 
:/%Description%/The service catalog fee amount.
/%hxID%/3043
*/
	int fee_amt;
	/*design comment fixed_canned_message_cd 
:/%Description%/the codes and a fixed text message that is always associated with the test described by this service catalog item

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3044
/%HL7v23Field%/00621
*/
	int fixed_canned_message_cd;
	/*design comment imaging_measurement_modality_cd 
:/%Description%/the modality used to classify the observations, e.g., radiograph, ultrasound, CT scan, NMR, etc.  Especially important for imaging studies.  

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3045
/%HL7v23Field%/00942
*/
	int imaging_measurement_modality_cd;
	/*design comment incompatible_change_dttm 
:/%Description%/the date and time of the last change in the test procedure that would make previous results incompatible with new results, e.g., the last time that normal reference range or units changed for a numeric test/observation.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/TS
/%hxID%/3046
/%HL7v23Field%/00607
*/
	int incompatible_change_dttm;
	/*design comment instrument_identifier_coding_system_name 
:/%Description%/contains the coding system name for the code identifying the instrument or device that is used to generate this observation or battery

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3047
/%HL7v23Field%/00598
*/
	int instrument_identifier_coding_system_name;
	/*design comment instrument_identifier_name 
:/%Description%/contains the code identifying the instrument or device that is used to generate this observation or battery

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3048
/%HL7v23Field%/00598
*/
	int instrument_identifier_name;
	/*design comment interpretation_considerations_desc 
:/%Description%/the clinical information about interpreting test results.  Examples are the conditions (drugs) that may cause false abnormals, and the information about the sensitivity and specificity of the test for diagnoses

Rationale: OM1/Interpretation of Observations and OM1 /Factors that may Effect the Observation contain different information.

OpenIssue: 
/%Datatype%/TX
/%hxID%/3049
/%HL7v23Field%/00617
*/
	int interpretation_considerations_desc;
	/*design comment kind_of_quantity_observed_cd 
:/%Description%/the underlying kind of property measured by this service catalog item.  distinguishes concentrations from total amounts, molar concentrations from mass concentrations, partial pressures from colors, and so forth

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3050
/%HL7v23Field%/00937
*/
	int kind_of_quantity_observed_cd;
	/*design comment last_update_dttm 
:/%Description%/contains the date and time that the last of any field change was made and in the source record corresponding to the service catalog item.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/TS
/%hxID%/3051
/%HL7v23Field%/00606
*/
	int last_update_dttm;
	/*design comment method_cd 
:/%Description%/A code depicting the service catalog item method.
/%Datatype%/CE
/%hxID%/3052
/%HL7v23Field%/00599
*/
	int method_cd;
	/*design comment method_desc 
:/%Description%/A textual description of the service catalog item method.
/%Datatype%/TX
/%hxID%/3053
/%HL7v23Field%/00626
*/
	int method_desc;
	/*design comment nature_of_service_cd 
:/%Description%/A code used to classify the service catalog item (e.g., test battery, functional procedure or study, single test value, multiple test batteries, functional procedures as an orderable unit, single test value calculated from other independent observations, ...).

Rationale: alignment with V2.3 language
/%Datatype%/IS
/%hxID%/3054
/%HL7v23Field%/00603
*/
	int nature_of_service_cd;
	/*design comment observation_id_suffix_txt 
:/%Description%/The expected suffixes for tests or procedures that produce a type which uses observation ID suffixes following the test/observation ID code.  For example, a chest x-ray may use the suffixes IMP, REC, DEV, or others

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ST
/%hxID%/3055
/%HL7v23Field%/00656
*/
	int observation_id_suffix_txt;
	/*design comment orderable_service_ind 
:/%Description%/An indication that the service catalog item is an orderable service.
/%Datatype%/ID
/%hxID%/3056
/%HL7v23Field%/00597
*/
	int orderable_service_ind;
	/*design comment patient_preparation_desc 
:/%Description%/A description of special patient preparation, diet, or medications for this service catalog item.
/%Datatype%/TX
/%hxID%/3057
/%HL7v23Field%/00622
*/
	int patient_preparation_desc;
	/*design comment point_versus_interval_cd 
:/%Description%/classifies this service catalog item as measuring the patient's state either at a point in time (e.g., spot urines, random urines, serum potassium), or averaged over a interval of time (e.g., concentration, total amount, or clearance over a 24-hour collection).  

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3058
/%HL7v23Field%/00938
*/
	int point_versus_interval_cd;
	/*design comment portable_device_ind 
:/%Description%/An indication that a portable device may be use for the test or observation service catalog item.
/%Datatype%/ID
/%hxID%/3059
/%HL7v23Field%/00600
*/
	int portable_device_ind;
	/*design comment preferred_ordering_method_txt 
:/%Description%/Free form text describing the preferred ordering method for the service catalog item.
/%hxID%/3060
*/
	int preferred_ordering_method_txt;
	/*design comment preferred_scheduling_method_txt 
:/%Description%/Free form text describing the preferred scheduling method for the service catalog item.
/%hxID%/3061
*/
	int preferred_scheduling_method_txt;
	/*design comment procedure_medication_cd 
:/%Description%/The identifier of a medication treatment that may be needed as part of a procedure service catalog item.  Examples are radioactive iodine for a thyroid screen, and methacholine for a methacholine spirometry challenge.

Rationale: V2.3 field is CE datatype
/%Datatype%/CE
/%hxID%/3062
/%HL7v23Field%/00623
*/
	int procedure_medication_cd;
	/*design comment report_display_order_txt 
:/%Description%/defines the sort order in which this observation is presented in a standard report or display that contains the many observations

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ST
/%hxID%/3063
/%HL7v23Field%/00605
*/
	int report_display_order_txt;
	/*design comment required_credentials_desc 
:/%Description%/A description of the credentials required for the service catalog item.
/%hxID%/3064
*/
	int required_credentials_desc;
	/*design comment service_alternate_id 
:/%Description%/An alternate unique identifier for the service catalog item.

Rationale: specific to this usage
/%Datatype%/CE
/%hxID%/3065
/%HL7v23Field%/00592
*/
	int service_alternate_id;
	/*design comment service_alternate_identifier_coding_system_name 
:/%Description%/coding system name for an alias code/identifier for this service.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3066
/%HL7v23Field%/00592
*/
	int service_alternate_identifier_coding_system_name;
	/*design comment service_alternate_identifier_name 
:/%Description%/an alias code/identifier for this service.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3067
/%HL7v23Field%/00592
*/
	int service_alternate_identifier_name;
	/*design comment service_alternate_name_use_cd 
:/%Description%/use for which an alternate service name is created, eg. long name, short name, name for reports, report subheader.

Rationale: to retain distinction among multiple alternate names in V2.3 standard

OpenIssue: 
/%Datatype%/CE
/%hxID%/3068
/%HL7v23Field%/00604
*/
	int service_alternate_name_use_cd;
	/*design comment service_alternate_nm 
:/%Description%/An alternate name for the catalog item.

Rationale: specific to this usage
/%Datatype%/ST
/%hxID%/3069
/%HL7v23Field%/00593, 00595
*/
	int service_alternate_nm;
	/*design comment service_contraindication_code 
:/%Description%/A code for a diagnosis or problem for which the service catalog item is a contraindication or of possible danger.

Rationale: alignment with V2.3 language
/%Datatype%/CE
/%hxID%/3070
/%HL7v23Field%/00618
*/
	int service_contraindication_code;
	/*design comment service_desc 
:/%Description%/A description of the service catalog item.

Rationale: specific to this usage
/%Datatype%/CE
/%hxID%/3071
/%HL7v23Field%/00591
*/
	int service_desc;
	/*design comment service_performance_schedule_cd 
:/%Description%/A code indicating the maximum service interval for the service catalog item.

Rationale: alignment with V2.3 language
/%Datatype%/ST
/%hxID%/3072
/%HL7v23Field%/00625
*/
	int service_performance_schedule_cd;
	/*design comment service_primary_nm 
:/%Description%/The primary or preferred name of the service catalog item.

Rationale: specific to this usage
/%Datatype%/ST
/%hxID%/3073
/%HL7v23Field%/00594, 00596
*/
	int service_primary_nm;
	/*design comment service_requirement_desc 
:/%Description%/A free form description of the service requirements for the service catalog item.
/%hxID%/3074
*/
	int service_requirement_desc;
	/*design comment service_type_cd 
:/%Description%/A code used to categorize the service catalog item.
/%hxID%/3075
*/
	int service_type_cd;
	/*design comment target_anatomic_site_cd 
:/%Description%/formally indicates the site of the observation (to make it easy for a system to find all tests related to one anatomic site). It can be used to classify the observation by target site of the examination.  For example, "heart" might be recorded as the target of the electrocardiogram, cardiac echo, and thallium exercise test.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3076
/%HL7v23Field%/00941
*/
	int target_anatomic_site_cd;
	/*design comment universal_service_id 
:/%Description%/The primary or preferred unique identifier for the service catalog item.

Rationale: alignment with V2.3 language (in general discussion of this concept)
/%Datatype%/CE
/%hxID%/3077
/%HL7v23Field%/00238, 00292, 00571
*/
	int universal_service_id;
	/*design comment universal_service_identifier_coding_system_name 
:/%Description%/name of the coding system for the universal service identifier

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3078
/%HL7v23Field%/00335
*/
	int universal_service_identifier_coding_system_name;
	/*design comment universal_service_identifier_name 
:/%Description%/name for the service catalog item

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3079
/%HL7v23Field%/00335
*/
	int universal_service_identifier_name;
	};

#endif
