
#ifndef CLASS074_HPP
#define CLASS074_HPP
#include "Class052.hpp"
class Medicare_coverage: public Healthcare_benefit_plan
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Healthcare_benefit_plan" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "STW_C03_Pt_admin_Finance" */

	/*design comment 
:/%Description%/A type of Healthcare coverage provided by the federal Medicare program.
/%hxID%/103
/%PrimarySubjectArea%/RIM_Healthcare_benefit_plan
*/
public:
private:
	/*design comment effective_dt 
:/%Description%/The date the person's medicare coverage becomes effective.
/%hxID%/512
*/
	int effective_dt;
	/*design comment eligibility_cd 
:/%Description%/A code depicting the person's medicare eligibility type (e.g., age, disability, ESRD, ...).
/%hxID%/513
*/
	int eligibility_cd;
	/*design comment id 
:/%Description%/A person's medicare coverage identifier (HICN).
/%Datatype%/ST
/%hxID%/514
/%HL7v23Field%/00477
*/
	int id;
	/*design comment lifetime_res_delay_day_qty 
:/%Description%/A delay prior to lifetime reserve days.
/%Datatype%/NM
/%hxID%/515
/%HL7v23Field%/00459
*/
	int lifetime_res_delay_day_qty;
	/*design comment lifetime_reserve_day_qty 
:/%Description%/The number of lifetime reserve days remaining.
/%Datatype%/NM
/%hxID%/516
/%HL7v23Field%/00458
*/
	int lifetime_reserve_day_qty;
	/*design comment medicare_coverage_type_cd 
:/%Description%/A code indicating the type of medicare coverage (e.g., hospital, professional,...).
/%hxID%/517
*/
	int medicare_coverage_type_cd;
	/*design comment program_type_cd 
:/%Description%/A code depicting the medicare reimbursement type (e.g., GPPP Cost, GPPP Risk, PPS, ...).
/%hxID%/518
*/
	int program_type_cd;
	/*design comment renal_cd 
:/%Description%/A code indicating the renal status of the person's medicare coverage.
/%hxID%/519
*/
	int renal_cd;
	/*design comment termination_dt 
:/%Description%/The date the person's medicare coverage is no longer in effect.
/%hxID%/520
*/
	int termination_dt;
	};

#endif
