
#ifndef CLASS076_HPP
#define CLASS076_HPP
#include "Class102.hpp"
class Observation_order: public Patient_service_order
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_order" */
	/*design in subject "STW_C04_Orders_observations" */

	/*design comment 
:/%Description%/An authoritative direction or instruction concerning an observation service for a patient.
/%hxID%/105
/%PrimarySubjectArea%/RIM_Patient_service_order
*/
public:
private:
	/*design comment patient_hazard_code 
:/%Description%/Code and/or text indicating any known or suspected patient or specimen hazards.

Rationale: to capture patient hazards that would be indicated in related V2.3 field.

OpenIssue: 
/%Datatype%/CE
/%hxID%/3098
/%HL7v23Field%/00246
*/
	int patient_hazard_code;
	/*design comment reason_for_study_cd 
:/%Description%/Text or code describing the reason for the observation order.

Rationale: V2.3 field is CE datatype
/%Datatype%/CE
/%hxID%/3099
/%HL7v23Field%/00263
*/
	int reason_for_study_cd;
	/*design comment relevant_clinical_information_txt 
:/%Description%/Additional clinical information about the patient or specimen, such as the suspected diagnosis and clinical findings on requests for interpreted diagnostic studies.

Rationale: : better alignment with V2.3
/%Datatype%/ST
/%hxID%/3100
/%HL7v23Field%/00247
*/
	int relevant_clinical_information_txt;
	/*design comment reporting_priority_cd 
:/%Description%/A code indicating the reporting priority of the patient service order.
/%hxID%/527
*/
	int reporting_priority_cd;
	/*design comment specimen_action_cd 
:/%Description%/A code identifying the action to be taken with respect to the specimen.
/%Datatype%/ID
/%hxID%/529
/%HL7v23Field%/00245
*/
	int specimen_action_cd;
	};

#endif
