
#ifndef CLASS082_HPP
#define CLASS082_HPP
class Patient_admission
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C03_Pt_admin_Finance" */

	/*design comment 
:/%Description%/The beginning of an inpatient encounter.
/%hxID%/112
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment admission_dttm 
:/%Description%/The date and time of the patient was admitted into an inpatient facility.
/%Datatype%/TS
/%hxID%/563
/%HL7v23Field%/00174
*/
	int admission_dttm;
	/*design comment admission_reason_cd 
:/%Description%/A code depicting the reason for the inpatient admission.
/%Datatype%/CE
/%hxID%/564
/%HL7v23Field%/00183
*/
	int admission_reason_cd;
	/*design comment admission_referral_cd 
:/%Description%/A code depicting the type of referral associated with this inpatient admission.
/%hxID%/565
*/
	int admission_referral_cd;
	/*design comment admission_source_cd 
:/%Description%/A code indicating the source category associated with this inpatient encounter.
/%Datatype%/IS
/%hxID%/566
/%HL7v23Field%/00144
*/
	int admission_source_cd;
	/*design comment admission_type_cd 
:/%Description%/A code indicating the circumstance under which the patient was or will be admitted.
/%Datatype%/IS
/%hxID%/567
/%HL7v23Field%/00134
*/
	int admission_type_cd;
	/*design comment patient_valuables_desc 
:/%Description%/Text describing the patient valuables left for safe keeping.
/%Datatype%/ST
/%hxID%/568
/%HL7v23Field%/00185
*/
	int patient_valuables_desc;
	/*design comment pre_admit_test_ind 
:/%Description%/An indication that pre-admission tests are required for this inpatient encounter.
/%Datatype%/IS
/%hxID%/569
/%HL7v23Field%/00142
*/
	int pre_admit_test_ind;
	/*design comment readmission_ind 
:/%Description%/An indication that the inpatient encounter is a readmission.
/%Datatype%/IS
/%hxID%/570
/%HL7v23Field%/00143
*/
	int readmission_ind;
	/*design comment valuables_location_desc 
:/%Description%/Descriptive text identifying where valuables of  patient is located.
/%Datatype%/ST
/%hxID%/571
/%HL7v23Field%/00186
*/
	int valuables_location_desc;
	};

#endif
