
#ifndef CLASS095_HPP
#define CLASS095_HPP
class Patient_pathway_goal
	{
	/*design in subject "DIM_Patient_care" */
	/*design in subject "RIM_Patient_clinical_pathway" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C12_Patient_care" */
	/*design assoc Goal_master with Goal_master <"is_an_instance_of (1,1)", "is_instanciated_by (0,M)">
:/%Description%/
/%hxID%/1151

*/
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (0,M)">
:/%Description%/
/%hxID%/1152

*/

	/*design comment 
:/%Description%/A pathway goal specific to a particular patient.
/%hxID%/127
/%PrimarySubjectArea%/RIM_Patient_clinical_pathway
*/
public:
private:
	/*design comment classification_cd 
:/%Description%/A code used to categorize patient pathway goals.
/%hxID%/679
*/
	int classification_cd;
	/*design comment established_dttm 
:/%Description%/The date/time the patient goal is initially created.
/%hxID%/680
*/
	int established_dttm;
	/*design comment evaluation_cd 
:/%Description%/A code depicting the progress towards achievement of the goal (e.g., achieved, ahead of schedule, delayed, failed to achieve, . . .).
/%hxID%/681
*/
	int evaluation_cd;
	/*design comment evaluation_comment_txt 
:/%Description%/Comment text associated with the goal evaluation.
/%hxID%/682
*/
	int evaluation_comment_txt;
	/*design comment id 
:/%Description%/A unique identifier assigned to the patient pathway goal.
/%hxID%/683
*/
	int id;
	/*design comment life_cycle_dttm 
:/%Description%/The effective date/time of the most recently assigned goal life cycle.
/%hxID%/684
*/
	int life_cycle_dttm;
	/*design comment life_cycle_status_cd 
:/%Description%/A code indicating the state of the goal (e.g., active, canceled, inactive, suspended, . . .).
/%hxID%/685
*/
	int life_cycle_status_cd;
	/*design comment management_discipline_cd 
:/%Description%/A code indicating the caregiver disciplines responsible for managing a patient pathway goal.
/%hxID%/686
*/
	int management_discipline_cd;
	/*design comment next_review_dttm 
:/%Description%/The date/time of the next scheduled goal review.
/%hxID%/687
*/
	int next_review_dttm;
	/*design comment previous_review_dttm 
:/%Description%/The second most recent date/time the goal was reviewed.
/%hxID%/688
*/
	int previous_review_dttm;
	/*design comment review_dttm 
:/%Description%/The date/time of the most recent review of the patient pathway goal.
/%hxID%/689
*/
	int review_dttm;
	/*design comment review_interval_cd 
:/%Description%/A code indication the review interval for the patient pathway goal.
/%hxID%/690
*/
	int review_interval_cd;
	/*design comment review_status_cd 
:/%Description%/A code depicting the review status of the patient pathway goal.
/%hxID%/691
*/
	int review_status_cd;
	/*design comment target_type_cd 
:/%Description%/A code used to identify the individual or group for whom the goal has been established for the benefit of a particular patient (e.g., family group, family member, patient, . . .).
/%hxID%/692
*/
	int target_type_cd;
	};

#endif
