
#ifndef CLASS097_HPP
#define CLASS097_HPP
class Patient_pathway_problem
	{
	/*design in subject "DIM_Patient_care" */
	/*design in subject "RIM_Patient_clinical_pathway" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C12_Patient_care" */
	/*design assoc Patient_problem with Patient_problem <"is_a (1,1)", "is_a (0,1)">
:/%Description%/
/%hxID%/1154

*/
	/*design assoc Problem_master with Problem_master <"is_an_instance_of (1,1)", "is_instanciated_as (0,M)">
:/%Description%/
/%hxID%/1155

*/

	/*design comment 
:/%Description%/A problem addressed by a patient pathway.
/%hxID%/129
/%PrimarySubjectArea%/RIM_Patient_clinical_pathway
*/
public:
private:
	/*design comment actual_resolution_dttm 
:/%Description%/The date the patient problem is resolved.
/%hxID%/693
*/
	int actual_resolution_dttm;
	/*design comment classification_cd 
:/%Description%/A code used to categorize the patient problem.
/%hxID%/694
*/
	int classification_cd;
	/*design comment confirmation_status_cd 
:/%Description%/A code depicting the level of verification for the patient problem (e.g., confirmed, differential, provisional, rule-out, . . .).
/%hxID%/695
*/
	int confirmation_status_cd;
	/*design comment estimated_resolution_dttm 
:/%Description%/The estimated date and time of the patient problem resolution.
/%hxID%/696
*/
	int estimated_resolution_dttm;
	/*design comment id 
:/%Description%/A unique identifier assigned to the patient problem.
/%hxID%/697
*/
	int id;
	/*design comment lifecycle_status_cd 
:/%Description%/A code depicting the current status of the problem (e.g., active, active-improving, active-stable, active-worsening, inactive, resolved, . . .).
/%hxID%/698
*/
	int lifecycle_status_cd;
	/*design comment managment_discipline_cd 
:/%Description%/A code depicting the caregiver discipline responsible for managing the patient problem.
/%hxID%/699
*/
	int managment_discipline_cd;
	/*design comment onset_desc 
:/%Description%/A textual description of when the problem began.
/%hxID%/700
*/
	int onset_desc;
	/*design comment onset_dttm 
:/%Description%/The date/time the patient problem began.
/%hxID%/701
*/
	int onset_dttm;
	/*design comment other_awareness_desc 
:/%Description%/An indication of the patient's family or significant other's comprehension of the actual problem/prognosis.
/%hxID%/702
*/
	int other_awareness_desc;
	/*design comment persistence_desc 
:/%Description%/A textual description of the perseverance of a master problem.
/%hxID%/703
*/
	int persistence_desc;
	/*design comment probability_pct 
:/%Description%/A quantitative numerical representation of the certainty that the problem exist for the patient.
/%hxID%/704
*/
	int probability_pct;
	/*design comment problem_awareness_desc 
:/%Description%/A indication of the patient's comprehension of the problem.
/%hxID%/705
*/
	int problem_awareness_desc;
	/*design comment problem_certainty_txt 
:/%Description%/A qualitative representation of the certainty of the problem (e.g., high, medium, low, . . .).
/%hxID%/706
*/
	int problem_certainty_txt;
	/*design comment prognosis_awareness_desc 
:/%Description%/A indication of the patient's awareness of the prognosis for the problem.
/%hxID%/707
*/
	int prognosis_awareness_desc;
	/*design comment prognosis_desc 
:/%Description%/A textual description of the prognosis for a patient problem.
/%hxID%/708
*/
	int prognosis_desc;
	/*design comment rank_txt 
:/%Description%/Prioritization of the problem (e.g., numeric ranking or the use of words such as primary, secondary, . . .).
/%hxID%/709
*/
	int rank_txt;
	/*design comment sensitivity_cd 
:/%Description%/A code depicting the level of security or sensitivity surrounding the problem.
/%hxID%/710
*/
	int sensitivity_cd;
	/*design comment status_dttm 
:/%Description%/The effective data and time of the current problem status.
/%hxID%/711
*/
	int status_dttm;
	};

#endif
