
#ifndef CLASS102_HPP
#define CLASS102_HPP
class Patient_service_order
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_order" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Health_chart_document_header with Health_chart_document_header <"may_be_referred_to_in (0,M)", "is_related_to (0,1)">
:/%Description%/

Rationale: 

OpenIssue: If we have the linkage between patient service event and healthcare chart document header right, this might not be needed as it duplicates existing connections.  This is pending joint work between Information Management, Orders/Observations, and Patient Care committees.
/%hxID%/3279

*/
	/*design assoc Master_service with Master_service <"is_an_instance_of (1,1)", "is_instantiated_as (0,M)">
:/%Description%/
/%hxID%/3278

*/
	/*design assoc Patient with Patient <"has_as_subject (0,1)", "may_be_the_subject_of (0,M)">
:/%Description%/
/%hxID%/1165

*/
	/*design assoc Patient_pathway_problem with Patient_pathway_problem <"targets (0,M)", "is_the_target_of (0,M)">
:/%Description%/
/%hxID%/1169

*/
	/*design assoc Patient_service_event with Patient_service_event <"is_fulfilled_by (0,M)", "fulfills (0,1)">
:/%Description%/
/%hxID%/1167

*/
	/*design assoc Patient_service_order with Patient_service_order <"is_parent_of (0,M)", "is_child_of (0,1)">
:/%Description%/
/%hxID%/1168

*/

	/*design comment 
:/%Description%/An authoritative direction or instruction concerning Healthcare services for a patient.
/%hxID%/134
/%PrimarySubjectArea%/RIM_Patient_service_order
*/
public:
private:
	/*design comment charge_type_cd 
:/%Description%/A code identifying someone or something other than the patient to be billed for this service.
/%Datatype%/ID
/%hxID%/746
/%HL7v23Field%/00235
*/
	int charge_type_cd;
	/*design comment clarification_phone 
:/%Description%/Telephone number to call for clarification of request or other information regarding the order

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/XTN
/%hxID%/3118
/%HL7v23Field%/00228
*/
	int clarification_phone;
	/*design comment end_condition_cd 
:/%Description%/A code depicting a condition that when satisfied should end the series of service orders.
/%hxID%/750
*/
	int end_condition_cd;
	/*design comment entering_device_code 
:/%Description%/Identifier of the physical device (terminal,PC) used to enter the order

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3119
/%HL7v23Field%/00232
*/
	int entering_device_code;
	/*design comment escort_required_indicator 
:/%Description%/an indicator that the patient needs to be escorted to the diagnostic service department.  Note: The nature of the escort requirements is captured in another attribute.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ID
/%hxID%/3120
/%HL7v23Field%/01033
*/
	int escort_required_indicator;
	/*design comment filler_order_id 
:/%Description%/This attribute must use the EI datatype in all messages.

Rationale: these are alternate keys to the class

OpenIssue: 
/%hxID%/3121
/%HL7v23Field%/00217
*/
	int filler_order_id;
	/*design comment filler_txt 
:/%Description%/
/%hxID%/3122
*/
	int filler_txt;
	/*design comment order_control_code 
:/%Description%/A code indicating the status of the patient service order.

Rationale: ORC/Order Control and OBR/Order Status need separate representation in the RIM.  This RIM08 attribute was selected to represent the ORC field, and renamed accordingly.

OpenIssue: should this name remain "status", or should the description be changed?
/%Datatype%/ID
/%hxID%/3123
/%HL7v23Field%/00215
*/
	int order_control_code;
	/*design comment order_control_reason_code 
:/%Description%/Explanation (either in coded or text form) of the reason for the order event.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3124
/%HL7v23Field%/00230
*/
	int order_control_reason_code;
	/*design comment order_effective_datetime 
:/%Description%/Date/time that the changes to the order took effect or are suppossed to take effect

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/TS
/%hxID%/3125
/%HL7v23Field%/00229
*/
	int order_effective_datetime;
	/*design comment order_group_id 
:/%Description%/A composite identifier of a service order.  Including the order id and the ordering application. Allows an order placing application to group sets of orders together and subsequently identify them.  This attribute must use the EI datatype in all messages.

Rationale: previously unmatched V2.3 field
/%Datatype%/EI
/%hxID%/3126
/%HL7v23Field%/00218
*/
	int order_group_id;
	/*design comment order_id 
:/%Description%/A unique identifier for the patient service order.
/%Datatype%/EI
/%hxID%/755
/%HL7v23Field%/00216, 00217
*/
	int order_id;
	/*design comment order_placed_dt 
:/%Description%/The date the order was placed.
/%Datatype%/TS
/%hxID%/756
/%HL7v23Field%/00223
*/
	int order_placed_dt;
	/*design comment order_quantitytiming_qt 
:/%Description%/A means of specifying when the service described by the order segment is to be performed and how frequently.  It is a complex multicomponent field that can have repeats.  If a specimen is required for the order, the Priority component contains specimen collection priority rather than processing priority)

Rationale: 

OpenIssue: 
/%hxID%/4022
*/
	int order_quantitytiming_qt;
	/*design comment placer_order_id 
:/%Description%/This attribute must use the EI datatype in all messages.

Rationale: these are alternate keys to the class.  renamed to match definition

OpenIssue: 
/%hxID%/3127
/%HL7v23Field%/00216
*/
	int placer_order_id;
	/*design comment placer_txt 
:/%Description%/
/%hxID%/3128
*/
	int placer_txt;
	/*design comment planned_patient_transport_code 
:/%Description%/code or free text comments on special requirements for the transport of the patient to the diagnostic service department

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3129
/%HL7v23Field%/01034
*/
	int planned_patient_transport_code;
	/*design comment report_results_to_phone 
:/%Description%/A phone number to be used to report results from the service order.

Rationale: to differente this attribute from ORC/Call Back phone number, which has a different meaning both from this attribute, and from this attribute's related V2.3 field: OBR/ order callback phone.
/%Datatype%/XTN
/%hxID%/3130
/%HL7v23Field%/00228, 00250
*/
	int report_results_to_phone;
	/*design comment response_requested_cd 
:/%Description%/A code used to allow the placer application to determine the amount of information to be returned from the filler.
/%Datatype%/ID
/%hxID%/3131
/%HL7v23Field%/00220
*/
	int response_requested_cd;
	/*design comment service_body_site_code 
:/%Description%/Body site where service is to be performed.  Example sites are ears, arm, eye.

Rationale: previously unmatched usage for V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3132
/%HL7v23Field%/00249
*/
	int service_body_site_code;
	/*design comment service_body_site_modifier_code 
:/%Description%/Site modifier describing the site where the service should be performed.  For example, the site could be anticubital foss, and the site modifier "right." 

Rationale: previously unmatched usage for V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3133
/%HL7v23Field%/00249
*/
	int service_body_site_modifier_code;
	/*design comment service_body_source_code 
:/%Description%/Source name or code describing the site where the service should be performed. Example coded values are abscess, blood arterial, blood bag, burn, dose med or blood, ear, filter, gastric fluid, marrow, patient, tissue, urine

Rationale: previously unmatched usage for V2.3 field

OpenIssue: need to make the description a little bit clearer.
/%Datatype%/CM
/%hxID%/3134
/%HL7v23Field%/00259
*/
	int service_body_source_code;
	/*design comment transport_arranged_indicator 
:/%Description%/indicator of whether transport arrangements are known to have been made.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ID
/%hxID%/3135
/%HL7v23Field%/01032
*/
	int transport_arranged_indicator;
	/*design comment transport_arrangement_responsibility_code 
:/%Description%/An indicator of who is responsible for arranging transport of the patient to the planned diagnostic service.  Examples: Requester, Provider, Patient

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3136
/%HL7v23Field%/01031
*/
	int transport_arrangement_responsibility_code;
	/*design comment transport_mode_cd 
:/%Description%/A code indicating how (or whether) to transport a patient.
/%Datatype%/ID
/%hxID%/770
/%HL7v23Field%/00262
*/
	int transport_mode_cd;
	/*design comment when_to_charge_datetime 
:/%Description%/Date & time to charge for the ordered service.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/CM
/%hxID%/3137
/%HL7v23Field%/00234
*/
	int when_to_charge_datetime;
	/*design comment when_to_charge_text 
:/%Description%/A code determining the timing of billing the charges associated with the order service item.

Rationale: alignment with V2.3 component datatype
/%Datatype%/CM
/%hxID%/3138
/%HL7v23Field%/00234
*/
	int when_to_charge_text;
	};

#endif
