
#ifndef CLASS103_HPP
#define CLASS103_HPP
#include "Class116.hpp"
class Person: public Stakeholder
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Person" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Advance_directive_witness with Advance_directive_witness <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
:/%Description%/
/%hxID%/1171

*/
	/*design assoc Contact_person with Contact_person <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
:/%Description%/
/%hxID%/1172

*/
	/*design assoc Employee with Employee <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
:/%Description%/
/%hxID%/1173

*/
	/*design assoc Individual_healthcare_provider with Individual_healthcare_provider <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
:/%Description%/
/%hxID%/1174

*/
	/*design assoc Patient_pathway_goal_target with Patient_pathway_goal_target <"takes_on_role_of (0,1)", "is_a_role_of (1,1)">
:/%Description%/
/%hxID%/1175

*/
	/*design assoc Person_alternate_name with Person_alternate_name <"has (0,M)", "is_for (1,1)">
:/%Description%/
/%hxID%/1170

*/

	/*design comment 
:/%Description%/A type of stakeholder.  An individual human being.
/%hxID%/135
/%PrimarySubjectArea%/RIM_Person
*/
public:
private:
	/*design comment birth_dttm 
:/%Description%/The date and time of a person's birth.
/%Datatype%/TS
/%hxID%/771
/%HL7v23Field%/00110, 00412, 00443
*/
	int birth_dttm;
	/*design comment birthplace_nm 
:/%Description%/The place the person was born.
/%Datatype%/ST
/%hxID%/772
/%HL7v23Field%/00126
*/
	int birthplace_nm;
	/*design comment citizenship_country_cd 
:/%Description%/The current citizenship of a person.
/%Datatype%/IS
/%hxID%/773
/%HL7v23Field%/00129
*/
	int citizenship_country_cd;
	/*design comment confidentiality_constraint_cd 
:/%Description%/A code depicting the nature of publicity protections in place for this person.
/%Datatype%/ID
/%hxID%/774
/%HL7v23Field%/00722, 00743, 00744
*/
	int confidentiality_constraint_cd;
	/*design comment deceased_dttm 
:/%Description%/The date and time that a person's death occurred.
/%Datatype%/TS
/%hxID%/775
/%HL7v23Field%/00740, 00775
*/
	int deceased_dttm;
	/*design comment deceased_ind 
:/%Description%/A indication that the person is dead.
/%Datatype%/ID
/%hxID%/776
/%HL7v23Field%/00776
*/
	int deceased_ind;
	/*design comment disability_cd 
:/%Description%/A code identifying a person disability.
/%Datatype%/IS
/%hxID%/777
/%HL7v23Field%/00753
*/
	int disability_cd;
	/*design comment education_level_cd 
:/%Description%/The amount of education a person achieved.
/%hxID%/778
*/
	int education_level_cd;
	/*design comment ethnic_group_cd 
:/%Description%/The ethnic group of the person.
/%Datatype%/IS
/%hxID%/779
/%HL7v23Field%/00125
*/
	int ethnic_group_cd;
	/*design comment gender_cd 
:/%Description%/A code depicting the gender (sex) of a person.
/%Datatype%/IS
/%hxID%/780
/%HL7v23Field%/00111, 00413, 00468
*/
	int gender_cd;
	/*design comment language_cd 
:/%Description%/A code identifying a language.
/%Datatype%/CE
/%hxID%/781
/%HL7v23Field%/00118
*/
	int language_cd;
	/*design comment marital_status_cd 
:/%Description%/A code depicting the marital status of a person.
/%Datatype%/IS
/%hxID%/782
/%HL7v23Field%/00119, 00781
*/
	int marital_status_cd;
	/*design comment military_branch_of_service_cd 
:/%Description%/A person's military branch of service.
/%Datatype%/IS
/%hxID%/783
/%HL7v23Field%/00485
*/
	int military_branch_of_service_cd;
	/*design comment military_rank_nm 
:/%Description%/The name of a person's military rank.
/%Datatype%/IS
/%hxID%/784
/%HL7v23Field%/00486
*/
	int military_rank_nm;
	/*design comment military_status_cd 
:/%Description%/The military status of a person.
/%Datatype%/CE
/%hxID%/785
/%HL7v23Field%/00130
*/
	int military_status_cd;
	/*design comment nationality_cd 
:/%Description%/A code depicting the nationality of a person.
/%Datatype%/CE
/%hxID%/786
/%HL7v23Field%/00739
*/
	int nationality_cd;
	/*design comment primary_name_representation_code 
:/%Description%/An indication of the representation of the primary name.  This attriubute does not necessarily specify the character sets used.  Current codes are defined for Ideographic, Alphabetic, Phonetic.

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/XPN
/%hxID%/3139
/%HL7v23Field%/00407
*/
	int primary_name_representation_code;
	/*design comment primary_name_type_code 
:/%Description%/Represents the type of name, eg. Alias, Legal, Display ...

Rationale: required by components of V2.3 field

OpenIssue: 
/%Datatype%/XPN
/%hxID%/3140
/%HL7v23Field%/00108
*/
	int primary_name_type_code;
	/*design comment primary_prsnm 
:/%Description%/The primary name of a person.
/%Datatype%/XPN
/%hxID%/787
/%HL7v23Field%/00108, 00191, 00390, 00407, 00408, 00431, 00441, 00480, 00494, 00504, 00509, 00515, 00516, 00522, 00526, 00748, 00789, 00792
*/
	int primary_prsnm;
	/*design comment race_cd 
:/%Description%/A code depicting the race of a person.
/%Datatype%/IS
/%hxID%/788
/%HL7v23Field%/00113
*/
	int race_cd;
	/*design comment religious_affiliation_cd 
:/%Description%/A person's religious preference.
/%Datatype%/IS
/%hxID%/789
/%HL7v23Field%/00120
*/
	int religious_affiliation_cd;
	/*design comment student_ind 
:/%Description%/An indicator that the person is a student.
/%Datatype%/IS
/%hxID%/790
/%HL7v23Field%/00745
*/
	int student_ind;
	/*design comment very_important_person_ind 
:/%Description%/And indication that the person is an VIP.
/%Datatype%/IS
/%hxID%/791
/%HL7v23Field%/00146
*/
	int very_important_person_ind;
	};

#endif
