
#ifndef CLASS106_HPP
#define CLASS106_HPP
class Person_employment
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Person" */
	/*design in subject "STW_C03_Pt_admin_Finance" */

	/*design comment 
:/%Description%/The state of being employed.  An occupation by which a person earns a living; work; business. 
/%hxID%/138
/%PrimarySubjectArea%/RIM_Person
*/
public:
private:
	/*design comment addr 
:/%Description%/address of the person's work site.
/%hxID%/810
*/
	int addr;
	/*design comment effective_dt 
:/%Description%/The date the person's employment begins.
/%Datatype%/DT
/%hxID%/811
/%HL7v23Field%/00782, 00787
*/
	int effective_dt;
	/*design comment hazard_exposure_txt 
:/%Description%/The type of hazards a person is exposed to in their employment.
/%hxID%/812
*/
	int hazard_exposure_txt;
	/*design comment job_class_cd 
:/%Description%/A code depicting the job classification used by the employer for the job related to the person employment.
/%Datatype%/CM
/%hxID%/813
/%HL7v23Field%/00200, 00786
*/
	int job_class_cd;
	/*design comment job_title_nm 
:/%Description%/The title of the job held.
/%Datatype%/ST
/%hxID%/814
/%HL7v23Field%/00199, 00493, 00785
*/
	int job_title_nm;
	/*design comment phon 
:/%Description%/The telephone number of a person at the persons place of service.
/%Datatype%/XTN
/%hxID%/815
/%HL7v23Field%/00117
*/
	int phon;
	/*design comment protective_equipment_txt 
:/%Description%/Protective equipment needed for employment.
/%hxID%/816
*/
	int protective_equipment_txt;
	/*design comment salary_amt 
:/%Description%/A person's salary amount.
/%hxID%/817
*/
	int salary_amt;
	/*design comment salary_type_cd 
:/%Description%/A salary type (e.g., hourly, annual, commission, . . .).
/%hxID%/818
*/
	int salary_type_cd;
	/*design comment status_cd 
:/%Description%/A code depicting the status of the person's employment.
/%Datatype%/IS
/%hxID%/819
/%HL7v23Field%/00424, 00467, 00752
*/
	int status_cd;
	/*design comment termination_dt 
:/%Description%/Date the person's employment ends.
/%Datatype%/DT
/%hxID%/820
/%HL7v23Field%/00783
*/
	int termination_dt;
	};

#endif
