
#ifndef CLASS113_HPP
#define CLASS113_HPP
#include "Class086.hpp"
class Reported_patient_accident: public Patient_clinical_item
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C03_Pt_admin_Finance" */

	/*design comment 
:/%Description%/An undesirable or unfortunate happening that occurs unintentionally and usually results in harm, injury, damage, or loss.
/%hxID%/156
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment accident_death_ind 
:/%Description%/An indication that the accident resulted in death.

Rationale: 
specific to this usage; alignment with V2.3 language
/%Datatype%/ID
/%hxID%/3144
/%HL7v23Field%/00814
*/
	int accident_death_ind;
	/*design comment accident_desc 
:/%Description%/Free form textual description of the accident.
/%hxID%/971
*/
	int accident_desc;
	/*design comment accident_dttm 
:/%Description%/The date and time the accident occurred.

Rationale: alignment with V2.3 language
/%Datatype%/TS
/%hxID%/3145
/%HL7v23Field%/00527
*/
	int accident_dttm;
	/*design comment accident_location_desc 
:/%Description%/A description of the location of the accident.

Rationale: specific to this usage
/%Datatype%/ST
/%hxID%/3146
/%HL7v23Field%/00529
*/
	int accident_location_desc;
	/*design comment accident_state_cd 
:/%Description%/The state in which the accident occurred.

Rationale: state is a location (don't need both location and state in the name); specific to this usage
/%Datatype%/CE
/%hxID%/3147
/%HL7v23Field%/00812
*/
	int accident_state_cd;
	/*design comment accident_type_cd 
:/%Description%/A code depicting the type of accident.
/%Datatype%/CE
/%hxID%/972
/%HL7v23Field%/00528
*/
	int accident_type_cd;
	/*design comment job_related_accident_ind 
:/%Description%/An indication that the accident is work related.

Rationale: as modeled, this is a characteristic of the accident, which is not the same as an injury.
/%Datatype%/ID
/%hxID%/3148
/%HL7v23Field%/00813
*/
	int job_related_accident_ind;
	};

#endif
