
#ifndef CLASS122_HPP
#define CLASS122_HPP
class Treatment_service_dispense
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Pharmacy_service_event" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Treatment_service_give with Treatment_service_give <"is_referenced_on (0,M)", "references (1,1)">
:/%Description%/
/%hxID%/3287

*/

	/*design comment 
:/%Description%/Notification of a pharmacy treatment dispense.
/%hxID%/2931
/%PrimarySubjectArea%/RIM_Pharmacy_service_event
*/
public:
private:
	/*design comment dispense_counter_qty 
:/%Description%/A count of the number of times the medication was dispensed.

Rationale: removes possible misinterpretation as quantity dispensed
/%Datatype%/NM
/%hxID%/3174
/%HL7v23Field%/00334
*/
	int dispense_counter_qty;
	/*design comment dispense_notes_txt 
:/%Description%/Free form text notes to the person dispensing the medication .

Rationale: alignment with V2.3 language; althouth V2.3 field is CE datatype, CE no longer supports free text in V3.0
/%Datatype%/CE
/%hxID%/3175
/%HL7v23Field%/00340
*/
	int dispense_notes_txt;
	/*design comment dispense_package_method_cd 
:/%Description%/the method by which treatment is dispensed, eg. Traditional, unit-dose, floor stock, automatic dispensing

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ID
/%hxID%/3176
/%HL7v23Field%/01222
*/
	int dispense_package_method_cd;
	/*design comment dispense_package_size_amt 
:/%Description%/This field contains the size of package to be dispensed

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/NM
/%hxID%/3177
/%HL7v23Field%/01220
*/
	int dispense_package_size_amt;
	/*design comment dispense_PTcomp 
:/%Description%/Specification for one component of the dispensed medication or treatment. 

Rationale: 

OpenIssue: 
/%Datatype%/PTcomp
/%hxID%/3178
/%HL7v23Field%/00316
*/
	int dispense_PTcomp;
	/*design comment dispense_PTrout 
:/%Description%/Specification for one route of administration for the dispensed medication or treatment.  Specification includes route, site, administration device and administration method.

Rationale: 

OpenIssue: 
/%Datatype%/PTrout
/%hxID%/3179
/%HL7v23Field%/00311
*/
	int dispense_PTrout;
	/*design comment dispensed_dttm 
:/%Description%/The date and time the medication is dispensed.
/%Datatype%/TS
/%hxID%/3180
/%HL7v23Field%/00336
*/
	int dispensed_dttm;
	/*design comment indication_cd 
:/%Description%/This field contains the identifier of the condition or problem for which the drug/treatment was prescribed.  

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3181
/%HL7v23Field%/01123
*/
	int indication_cd;
	/*design comment needs_human_review_ind 
:/%Description%/An indicator that the pharmacist filling the order needs to pay special attention to provider instructions.
/%Datatype%/ID
/%hxID%/3182
/%HL7v23Field%/00307
*/
	int needs_human_review_ind;
	/*design comment rejection_reason_txt 
:/%Description%/Free form text describing the reason the medication dispensement was rejected.
/%hxID%/3183
*/
	int rejection_reason_txt;
	/*design comment substance_expiration_dt 
:/%Description%/Expiration date of the medication.

Rationale: alignment with V2.3 language
/%hxID%/3184
*/
	int substance_expiration_dt;
	/*design comment substance_lot_identifier 
:/%Description%/This field contains the lot number of the medical substance.

Rationale: alignment with V2.3
/%hxID%/3185
/%HL7v23Field%/01129
*/
	int substance_lot_identifier;
	/*design comment substance_manufacturer_cd 
:/%Description%/This field contains the manufacturer of the medical substance administered

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3186
/%HL7v23Field%/01131
*/
	int substance_manufacturer_cd;
	/*design comment substitution_cd 
:/%Description%/A code identifying the potential of being able to substitute another pharmaceutical.
/%Datatype%/NM
/%hxID%/3187
/%HL7v23Field%/00342
*/
	int substitution_cd;
	/*design comment suppliers_special_dispensing_instruction_cd 
:/%Description%/Special instructions from the pharmacy or treatment supplier to the provider administering the order.

Rationale: makes this specific to a particular V2.3 field
/%Datatype%/CE
/%hxID%/3188
/%HL7v23Field%/00330
*/
	int suppliers_special_dispensing_instruction_cd;
	/*design comment total_daily_dose_amt 
:/%Description%/The daily dose amount.

Rationale: alignment with V2.3 language
/%Datatype%/CQ
/%hxID%/3189
/%HL7v23Field%/00329
*/
	int total_daily_dose_amt;
	};

#endif
