
#ifndef CLASS124_HPP
#define CLASS124_HPP
class Treatment_service_give
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Pharmacy_service_event" */
	/*design in subject "STW_C04_Orders_observations" */

	/*design comment 
:/%Description%/The issuing of a pharmacy or treatment give notice.
/%hxID%/2933
/%PrimarySubjectArea%/RIM_Pharmacy_service_event
*/
public:
private:
	/*design comment administration_desc 
:/%Description%/Free form text.
/%Datatype%/NM
/%hxID%/3192
/%HL7v23Field%/00343, 00344
*/
	int administration_desc;
	/*design comment give_counter_qty 
:/%Description%/A count of the number of administrations of the drug.

Rationale: V2.3 field is NM datatype.  there is no unit of measure to specify.	
/%Datatype%/NM
/%hxID%/3194
/%HL7v23Field%/00342
*/
	int give_counter_qty;
	/*design comment give_per_time_unit_cd 
:/%Description%/The time unit used to calculate the rate at which the pharmaceutical is to be administered.

Rationale: this is a pure unit of measure, not an amount with an associated unit.  V2.3 field is coded.
/%Datatype%/ST
/%hxID%/3195
/%HL7v23Field%/00331
*/
	int give_per_time_unit_cd;
	/*design comment give_PTcomp 
:/%Description%/Specification for one component of the medication or treatment in the pharmacy give notice.  

Rationale: 

OpenIssue: 
/%Datatype%/PTcomp
/%hxID%/3196
/%HL7v23Field%/01124
*/
	int give_PTcomp;
	/*design comment give_PTrout 
:/%Description%/Specification for one route of administration for the medication or treatment in the pharmacy give notice.  Specification includes route, site, administration device and administration method.

Rationale: 

OpenIssue: 
/%Datatype%/PTrout
/%hxID%/3197
/%HL7v23Field%/00311
*/
	int give_PTrout;
	/*design comment give_quantitytiming_qt 
:/%Description%/A means of specifying when the service described by the give notice is to be performed and how frequently.  It is a complex multicomponent field that can have repeats.  This field contains the quantity/timing specification that refers to either a single scheduled give instruction only or to multiple give instructions.  In the former case, RXG-1-give sub-ID counter is a positive integer greater than or equal to one (1).  In the latter case, RXG-1-give sub-ID counter is zero (0).  The quantity will always be 1.     The pharmacy or treatment department has the "authority" (and/or necessity) to schedule dispense/give events.  Hence, the pharmacy or treatment department has the responsibility to encode this scheduling information for the pharmacy service order item and pharmacy service give notice.  The quantity/timing for the patient service order does not change: it always specifies the requested give/dispense schedule of the original order 
/%Datatype%/TQ
/%hxID%/4023
/%HL7v23Field%/00221
*/
	int give_quantitytiming_qt;
	/*design comment give_rate_amt 
:/%Description%/The amount (number) of substance to be administered.
/%Datatype%/ST
/%hxID%/3198
/%HL7v23Field%/00332
*/
	int give_rate_amt;
	/*design comment indication_code 
:/%Description%/This field contains the identifier of the condition or problem for which the drug/treatment was prescribed. 

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3199
/%HL7v23Field%/01123
*/
	int indication_code;
	/*design comment max_give_amt 
:/%Description%/The maximum ordered amount.
/%Datatype%/NM
/%hxID%/3200
/%HL7v23Field%/00319
*/
	int max_give_amt;
	/*design comment min_give_amt 
:/%Description%/The minimum order amount.
/%Datatype%/NM
/%hxID%/3201
/%HL7v23Field%/00318
*/
	int min_give_amt;
	/*design comment needs_human_review_ind 
:/%Description%/An indication that the pharmacist filling the order needs to pay special attention to the order notes.
/%Datatype%/ID
/%hxID%/3202
/%HL7v23Field%/00307
*/
	int needs_human_review_ind;
	/*design comment substance_expiration_dttm 
:/%Description%/the expiration date of the medical substance

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/TS
/%hxID%/3204
/%HL7v23Field%/01130
*/
	int substance_expiration_dttm;
	/*design comment substance_lot_number_txt 
:/%Description%/This field contains the lot number of the medical substance.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/ST
/%hxID%/3205
/%HL7v23Field%/01129
*/
	int substance_lot_number_txt;
	/*design comment substance_manufacturer_cd 
:/%Description%/This field contains the manufacturer of the medical substance administered

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3206
/%HL7v23Field%/01131
*/
	int substance_manufacturer_cd;
	/*design comment substitution_status_cd 
:/%Description%/A code indicating the status of a drug substitution in a pharmacy service give.
/%Datatype%/ID
/%hxID%/3207
/%HL7v23Field%/00322
*/
	int substitution_status_cd;
	/*design comment supplier_special_administration_instruction_cd 
:/%Description%/pharmacy/treatment supplier-generated special instructions to the provider administering the order.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3208
/%HL7v23Field%/00343
*/
	int supplier_special_administration_instruction_cd;
	};

#endif
