
#ifndef CLASS125_HPP
#define CLASS125_HPP
#include "Class102.hpp"
class Treatment_service_order: public Patient_service_order
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_order" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design part Treatment_service_order_revision class Treatment_service_order_revision <"has_parts (1,M)", "is_part_of (1,1)">
:/%Description%/
/%hxID%/3397

*/

	/*design comment 
:/%Description%/An authoritative direction or instruction concerning the dispensement of medication to a patient.
/%hxID%/2934
/%PrimarySubjectArea%/RIM_Patient_service_order
*/
public:
private:
	/*design comment dosage_txt 
:/%Description%/The dosage to be administered.
/%hxID%/3209
*/
	int dosage_txt;
	/*design comment earliest_dispense_dt 
:/%Description%/The earliest date the medication can be dispensed.
/%hxID%/3210
*/
	int earliest_dispense_dt;
	/*design comment Indication_cd 
:/%Description%/This field contains the identifier of the condition or problem for which the drug/treatment was prescribed.

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3212
/%HL7v23Field%/01123
*/
	int Indication_cd;
	/*design comment non_form_authorized_ind 
:/%Description%/An indication that a pharmacy order for an out of formulary item is authorized.
/%hxID%/3213
*/
	int non_form_authorized_ind;
	/*design comment providers_treatment_instruction_txt 
:/%Description%/Free form instructional text for the pharmacy order.

Rationale: makes this specific to a particular V2.3 field
/%Datatype%/CE
/%hxID%/3214
/%HL7v23Field%/00297, 00298
*/
	int providers_treatment_instruction_txt;
	/*design comment rejection_reason_cd 
:/%Description%/A reason code for rejection of a pharmacy order.
/%hxID%/3216
*/
	int rejection_reason_cd;
	/*design comment requested_give_rate_amt 
:/%Description%/the rate at which to administer treatment, as specified by the ordering physician

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3217
/%HL7v23Field%/01219
*/
	int requested_give_rate_amt;
	/*design comment requested_give_strength_amt 
:/%Description%/Specifies the strength of the medication as requested on the order, when it is not included in the Universal Service Identifier

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3218
/%HL7v23Field%/01122
*/
	int requested_give_strength_amt;
	/*design comment substitution_allowed_ind 
:/%Description%/An indicator that a substitution medication is allowed.
/%Datatype%/ID
/%hxID%/3219
/%HL7v23Field%/00300
*/
	int substitution_allowed_ind;
	/*design comment supplier_special_dispensing_instruction_cd 
:/%Description%/the pharmacy or treatment supplier's provider-generated special instructions to the provider dispensing/administering the order

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/3220
/%HL7v23Field%/00330
*/
	int supplier_special_dispensing_instruction_cd;
	/*design comment verification_required_ind 
:/%Description%/An indication that verification is required.
/%hxID%/3221
*/
	int verification_required_ind;
	};

#endif
